%define __libtoolize :

%define libxml2_version 2.4.12
%define gtk2_version 2.0.2
%define freetype_version 2.0.1
%define popt_version 1.5
%define libart_version 2.3.10

Name:		librsvg2
Summary: An SVG library based on libart.
Version: 2.0.1
Release: 1
License: 	LGPL
Group: System Environment/Libraries
Source: 	librsvg-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk2 >= %{gtk2_version}
Requires:	libxml2 >= %{libxml2_version}
Requires:	popt >= %{popt_version}
Requires:	freetype >= %{freetype_version}
Requires:       libart_lgpl >= %{libart_version}
Requires:	libpng
BuildRequires: libpng-devel
BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:	libxml2-devel >= %{libxml2_version}
BuildRequires:	popt >= %{popt_version}
BuildRequires:	freetype-devel >= %{freetype_version}
BuildRequires:  libart_lgpl-devel >= %{libart_version}

%description
An SVG library based on libart.


%package devel
Summary: Libraries and include files for developing with librsvg.
Group: Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk2-devel >= %{gtk2_version}
Requires:	libxml2-devel >= %{libxml2_version}
Requires:	freetype-devel >= %{freetype_version}
Requires:       libart_lgpl-devel >= %{libart_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q -n librsvg-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files

%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/librsvg-2/librsvg
%{_libdir}/pkgconfig/librsvg-2.0.pc

%changelog
* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 02 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- 1.1.6

* Mon Feb 11 2002 Alex Larsson <alexl@redhat.com> 1.1.3-1
- Update to 1.1.3

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- new CVS snap 1.1.0.91
- remove automake/autoconf calls

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- convert to librsvg2 RPM

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 1.0.2

* Fri Jul 27 2001 Alexander Larsson <alexl@redhat.com>
- Add a patch that moves the includes to librsvg-1/librsvg
- in preparation for a later librsvg 2 library.

* Tue Jul 24 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel, #49509

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- own /usr/include/librsvg

* Wed Jul 18 2001 Akira TAGOH <tagoh@redhat.com> 1.0.0-4
- fixed the linefeed problem in multibyte environment. (Bug#49310)

* Mon Jul 09 2001 Havoc Pennington <hp@redhat.com>
- put .la file back in package 

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Put changelog at the end
- Move .so files to devel subpackage
- Don't mess with ld.so.conf
- Don't use %%{prefix}, this isn't a relocatable package
- Don't define a bad docdir
- Add BuildRequires
- Use %%{_tmppath}
- Don't define name, version etc. on top of the file (why do so many do that?)
- s/Copyright/License/

* Wed May  9 2001 Jonathan Blandford <jrb@redhat.com>
- Put into Red Hat Build system

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing

